Bug 249159 - Fail to update with yum: Unresolvable dependencies
Summary: Fail to update with yum: Unresolvable dependencies
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 7
Hardware: i386
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-21 18:11 UTC by Bengt-Erik Soderstrom
Modified: 2014-01-21 22:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 08:17:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bengt-Erik Soderstrom 2007-07-21 18:11:13 UTC
Description of problem: Yum update fails


Version-Release number of selected component (if applicable):


How reproducible:
Every time when trying to update to Firefox (2.0.0.5)

Steps to Reproduce:
1. yum update firefox

2. data is processed

3. Exits with error 'unresolvable dependency' as below
  
Actual results:
Resolving Dependencies
--> Running transaction check
---> Package firefox.i386 0:2.0.0.5-1.fc7 set to be updated
--> Processing Dependency: firefox = 2.0.0.4-2.fc7 for package: firefox-devel
--> Processing Dependency: gecko-libs = 1.8.1.4 for package: gtkmozembedmm
--> Processing Dependency: gecko-libs = 1.8.1.4 for package: devhelp
--> Processing Dependency: gecko-libs = 1.8.1.4 for package: yelp
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package firefox-devel.i386 0:2.0.0.5-1.fc7 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.4 for package: gtkmozembedmm
--> Processing Dependency: gecko-libs = 1.8.1.4 for package: devhelp
--> Processing Dependency: gecko-libs = 1.8.1.4 for package: yelp
--> Finished Dependency Resolution
Error: Unresolveable requirement gecko-libs = 1.8.1.4 for gtkmozembedmm
Error: Unresolveable requirement gecko-libs = 1.8.1.4 for devhelp
Error: Unresolveable requirement gecko-libs = 1.8.1.4 for yelp

It was not possible to exclude those packages. 


Expected results:
A normal update with any dependencies resolved



Additional info:

Comment 1 Bengt-Erik Soderstrom 2007-07-24 08:17:03 UTC
With the update of gtkmozembedmm distributed on 2007-07-24 this bug has been
resolved. Its status can be changed to resolved.

This is not really a bug in Fedora 7 or Yum. It only points to incufficient
testing before uploading new versions of components or programs being part of
the Fedora distributions.



Note You need to log in before you can comment on or make changes to this bug.